/*!

    Copyright 2011 Michael Phan-Ba

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

 */

/** Module dependencies. */

var vows = require('vows')
  , assert = require('assert');

var connector = require('../lib/connector');

/** Vows tests. */

vows.describe('connector').addBatch({
  'should expose AgentConnector': function() {
    assert.strictEqual(connector.AgentConnector, require('../lib/connector/agent').AgentConnector);
  },
  'should expose JsonConnector': function() {
    assert.strictEqual(connector.JsonConnector, require('../lib/connector/json').JsonConnector);
  },
  'should expose merge': function() {
    assert.strictEqual(connector.merge, require('../lib/connector/util').merge);
  }
}).export(module);
